V0.2.10
1.ファイルダイアログ修正
V0.2.9e
1.特定の表示倍率で落ちるバグを修正
2.+-キーによる表示倍率の変更を2倍または1/2に変更
・ctrlキーを押しながらで10%単位で拡大/縮小
　拡大/縮小時に10%単位に丸める。
　78%で表示されている時にCtrl+押下時は80%に
　Ctrl-押下時には70%
・altキーを押しながらで1%単位で拡大/縮小
3.選択範囲を右ボタンで移動しても再描画されないバグを修正
4.フィルター実行後に落ちるバグ修正
5.マウスポインターを復活
V0.2.9d
1.レイヤーのプロパティにレイヤーまたはグループをマスクに設定するオプション追加
2.バグ修正
V0.2.9c
1.パス関連
2.パスプロパティのダイアログをモーダルからモードレスに変更
・プロパティ、カラーパレットの各種色のドラッグアンドドロップ
　(可)プロパティ間、カラーパレットとプロパティ間
　(不可)カラーパレット内でのドラッグアンドドロップ
・パスプロパティ、カラーパレットへの単色カラーパレットおよび混色カラーパレットからのドラッグアンドドロップ
3.パスレイヤーのラスターイメージを保存しないように変更(オープン時にラスタライズ)
4.フィルター関連修正
5.バグ修正
V0.2.9b
1.パス関連
・下にあるパスをマスクとするオプションをプロパティに追加
・グラデーションの間隔設定をプロパティに追加
2.ポップアップメニューからレイヤーを切り換えられるように変更
3.バグ修正
V0.2.9a
1.パスのレイヤー追加
・パスに沿ってブラシを描画可能
・閉じたパスであれば内部の塗りつぶしやグラデーションが可能
・各点ごとにブラシの幅と色を設定可能
・既存のやつはなかったことに
2.これに合わせて色々変更
3.新規レイヤーがカレントの上に作成されるように変更
4.その他バグ修正
V0.2.0e
1.ファイルダイアログのショートカットの一覧保持をqueency.iniからshortcutフォルダーに変更
・shortcutフォルダーにシャドーとして保持
2.ファイルダイアログのバグを修正
3.スクロールツール追加
・ツールを選択して左ボタンを押したままポインタを移動させると画面もスクロール
・他のツール選択時にCtrlを押しながらでもスクロール(できないツールもあり)
V0.2.0d
1.細かなバグ修正
2.一つの画像に対して複数のウィンドウを開いている場合、ウィンドウを一つクローズすると全てクローズされるバグを修正
V0.2.0c
1.ファイルダイアログでファイル名を32文字しか入れられなかったバグ修正
2.ファイルダイアログにプレビュー追加
・これ用にファイルフォーマット変更(プレビュー用のイメージを追加)
3.バグ修正
・ファイルダイアログのメモリリーク修正
・名前を付けて保存時のバグ修正
4.Bicubicを固定小数点で計算
V0.2.0b
1.アクセラレータが効かなくなるバグ修正
2.その他バグ修正
V0.2.0a
1.undo回数の設定追加
2.掲示板に書いたバグ修正
 (1)V0.1.9以降のもので保存したファイル(acd)には不要なブロックが保存されています。
 (2)当該バージョンでロード→セーブすると不要なブロックは削除されます。
3.終了時、例外が発生することのあるバグ修正
V0.2.0
1.画像ウィンドウを常に最前面に表示できるように変更(一つのみ)
2.画像ウィンドウを親ウィンドウの枠に吸着するように変更
  ・吸着しているウィンドウは親ウィンドウのリサイズ時にも吸着したまま移動する
  ・なお兄弟ウィンドウ同士は吸着しない
3.画像ウィンドウのタイトルに番号を表示
4.メニューのウィンドウに開いている画像ウィンドウを表示(今までは開いている画像ファイル)、アクティブなものはチェック状態
5.レイヤーのグループ化を追加
  ・グループにはレイヤーおよびグループを入れることができる
  ・レイヤータブを選択するとメニューはレイヤー
  ・グループタブを選択するとメニューはグループ
  ・グループは[レイヤー]->[リンク状態をグループ化]もしくは[グループ]->[グループ追加]
  ・レイヤーをグループ入れるにはレイヤーのプロパティの2ページ目
  ・もしくはグループのプロパティの2ページ目
  ・グループタブ選択時は[画像]のほとんどの項目と[選択状態]->[拡大/縮小/回転/移動]がグループ内の各レイヤーに対して行われる
  ・グループタブ選択時はブラシ等各種ツールは使用不可
V0.1.9d
1.いらん処理削除
2.キャプチャ。
  ・スクリーンとウィンドウ
3.アンドゥ関係を変更
  ・undoの回数を最大20回まで増加
  ・redoを追加、回数はundoと同じ
4.一つの画像をマルチウィンドウで最大4つまで表示できるように変更
5.矩形、楕円、矩形グラデーション、楕円グラデーションの処理を変更
6.ウィンドウタイトルにカレントシート名を表示
V0.1.9c
1.ファイルダイアログ関係
　・ポップアップメニューにファイル/フォルダーの削除を追加
　・フォルダー作成時、作成したフォルダーまでスクロールし編集フィールドを開くように変更
　・ポップアップメニューにフォルダー作成を追加
2.リンクされたレイヤーの合成がおかしかったのを修正
3.フィルターのOK,Applyを修正
　・OK,Apply,Cancelの仕様
　　・OK:元画像に対してフィルターを適用してダイアログを閉じる。
　　　直前のApplyと同じパラメータが指定してある場合はそのまま閉じる。
　　・Apply:元画像に対してフィルターを適用する。ダイアログは閉じない。
　　　直前のApplyと同じパラメータが指定してある場合は何もしない。
　　・Cancel:元画像に戻してダイアログを閉じる。
V0.1.9b
SYS3170で落ちる問題を修正
・1回目のSplEnumQueueでrc=0時の処理を修正
V0.1.9a
V0.1.9
ファイルフォーマット変更
その他バグ修正
V0.1.8e
タブレットドライバがインストールしてあるがタブレットが無い場合に、
DOSCALL1.DLLでSYS3170で起動しないバグを修正。
V0.1.8d
・コンボボックスの入力フィールドをクリック時にドロップダウンリストを
表示する/しないをオプションで設定できるように変更。
(今までは一部を除いて全て表示。Amouseの設定/マッピング(6/6)/Click on Combo Boxesを
チェックした場合との衝突を避けるため)
・スムーススクロールを追加。
オプションで設定可
ただしスムーススクロールを有効にすると、スクロールがもっさりするかもしれません。
・ファイルダイアログでドライブオブジェクトと、ファイル/フォルダーおよびドライブのシャドウが
表示できるようになった。ヽ(´ー`)ﾉ
・ファイルダイアログに戻る/進むボタンを追加
・HomeDir,TameDir,TameImageDirのいずれかが設定されていないとプロファイルに保存されないバグを修正
・画像ウィンドウの最大化時にタイトルバーを見えないように変更
これに伴いメニューのウィンドウに復元、最大化、最小化を追加
・ブラシをツール毎に覚えておくように変更
・フィルターに渦巻追加
・ディレクトリ構成をちょっと変更
・その他バグ修正
V0.1.8c
バグ修正
V0.1.8b
'='で100%表示するように変更
レイヤーのインポートで複数のレイヤーをインポートできるように変更
その他バグ修正
V0.1.8a
クロップで落ちるバグ修正
V0.1.8
カラーパレットの数をを96から256まで増やした。
今までのパレットのファイルも使用できるけど、表示位置が変わります
テキストで拡大/縮小/回転したときに正しく拡大/縮小/回転しないバグを修正
メインウィンドウの背景色を暗くした
ルーラーが画像にくっついて表示されるように変更
ルーラーを表示/非表示できるように変更
メインウィンドウ/ツールバー/サイドウィンドウの位置を覚えておくように変更
ポップアップメニューに項目追加
パスモード時は右ボタンで選択範囲が移動できないように変更
AMOUSEでホイールによるスクロールができない点を改善。ただしAMOUSEに以下の設定が必要
 Wheelタブの5ページ目に以下の項目で追加
  Application:QueenCy.exe
  Class:#5
  Parent Class:QCCANVAS
  Option:
  Mode:Scroll
  vRelation:Parent
  vOption:
  Up/Down:VM_NULL
  hRelation:Parent
  hOption:
  Left/Right:WM_NULL
その他バグ修正
V0.1.7a
テキストを移動時にハングアップするバグを修正
その他バグ修正
ファイルダイアログのソートをカスケード表示に変更
オープンしたファイルの履歴を最大5件までファイルメニューに表示
レイヤーの削除時に確認のメッセージを表示するように変更
いくつかのメニューにアクセラレータを追加
V0.1.7
リロードを追加
クリップを追加
iconをKlaus Staedtlerさんからいただいたものに変更
その他バグ修正
V0.1.6a
バグ修正
V0.1.6
Tameをメニューから起動できるようにした。
メニューから起動したTameを終了した場合、指定したディレクトリでTame起動時刻以降に作成されたファイルを開くようにした
FileDailogでファイルの一覧表示をマルチスレッド化
水平反転と垂直反転でエラーメッセージを出し続けるバグを修正
アンカーポイントを追加/削除する機能追加
印刷プレビューを追加
レイヤーの合成の修正
その他バグ修正
V0.1.5
画像の反転を追加
ファイルダイアログを変更
パス関連のツールを追加
選択範囲をペーストするときに一番上のラインペーストされないバグを修正
選択範囲の拡大/縮小回転を変更
選択範囲をパースする機能を追加
可視状態のレイヤーを合成する機能を追加
その他バグ修正
V0.1.4e
SBCS環境で終了できない問題を修正
V0.1.4d
FileDialogのタイトルにカレントディレクトリを表示
ToolbarおよびファイルダイアログのボタンをKlaus Staedtlerさんからいただいたビットマップにかなり変更
英語モードで編集した画像を保存しないで終了する場合にSYS3170が発生する問題を修正
タブレットドライバのインタフェース変更による修正
その他バグ修正
V0.1.4c
ToolbarのボタンをKlaus Staedtlerさんからいただいたビットマップに一部変更
FileDialogを変更
バグ修正
V0.1.4b
バグ修正
V0.1.4a
ファイルダイアログの機能追加とバグ修正
ファイルダイアログで表示するファイル名をLONGNAMEにしてみる
その他バグ修正
V0.1.4
メインウィンドウの下部に座標を表示するよう変更
ツールのプロパティを表示しているときに、ツールのボタン上で右クリックすると閉じるように変更
ファイルフォーマット変更（レイヤー名等をUNICODEで保持するように変更）
ファイルダイアログを変更
ファイルダイアログでファイル名を変更できる機能を追加
英語のreadmeをカアキネン テイヨさんが修正してくれたものに置き換え
その他、機能修正
V0.1.3a
グラデーション及び楕円描画での不具合を修正
その他、細かな変更
V0.1.3
ページ設定ダイアログを追加し、マージンを設定できる様に機能を追加
V0.1.2e
印刷時のオプションのバグ修正
V0.1.2d
印刷時のオプションとして以下の機能を追加
・用紙サイズに合わせて拡大／縮小印刷する機能
・用紙サイズより大きい場合縮小印刷する機能
V0.1.2c
レイヤーのインポート時に名称を引き継ぐ様に変更
レイヤーの合成で新規を選んだ場合に正しく合成されない問題を修正
V0.1.2b
置き換え機能を追加
いくつかのバグフィックス
V0.1.2a
描画域を選択範囲とするの機能を変更
V0.1.2
ツールウィンドウ上にマウスポインターを移動したときに表示されるウィンドウを変更
ダイアログボックスやサイドウインドウ等のフォント変更機能を追加
その他いくつかバグを修正
V0.1.1j
日本語環境以外の場合、jpegのオプションで文字が化ける問題を修正
ビットマップデータをOBJ_ANYフラグの示す領域に確保するように修正
一部のメモリ不足をrecoverableに変更
V0.1.1i
TWAIN機器からの入力のバグを修正
V0.1.1h
バグ修正
V0.1.1g
レイヤーの複製を追加
画像の再描画を追加
レイヤーのインポートのバグを修正
V0.1.1f
塗りつぶし、グラデーション関係、矩形描画および楕円描画を別スレッドで行う様に変更
楕円グラデーションと楕円描画で枠の描画のバグを修正
V0.1.1e
画像ウィンドウのインディケータをクリックした時に前面にするように変更
最小化後、表示するとサイドウィンドウのブラシとカラーパレットが閉じる問題を修正
V0.1.1d
リサイズ時の処理を変更
V0.1.1c
ツールウィンドウのツールの順番を一部変更
V0.1.1b
解像度が0のビットマップファイルのロード時、SIGFPEで落ちる問題を修正
V0.1.1a
リンク情報を保存する様に変更
ロード後のカレントレイヤーが、前回保存時のカレントレイヤーになるように変更
テキストツールのバグを修正
V0.1.1
矩形描画ツールを追加(枠のみ、塗りつぶしのみ、枠ありの塗りつぶし)
楕円描画ツールを追加(枠のみ、塗りつぶしのみ、枠ありの塗りつぶし)
上記２つはシフトキーを押しながらで、正方形又は円を描画できる。
矩形グラデーションツールに枠を描画する機能を追加
楕円グラデーションツールに枠を描画する機能を追加
テキストツールでフォント名とサイズを記憶しておくように変更
テキストツールで横にはみ出た分は切れないように変更、ただし下にはみ出た分は切れる。
V0.1.0
範囲を選択している場合に、ポップアップメニューからのやり直しがきかない
問題を修正。
アンドゥー回りのバグを幾つか修正。
フィルターの整理
V0.0.9n
ガンマ補正の変更
レイヤーウィンドウのカレントレイヤーを上下させるボタンのバグを修正
undoの作り直し
画像メニューの以下の機能において、カレントレイヤーにリンクがチェック
されている場合、リンクされている他のレイヤーも処理する様に変更。
・ガンマ補正
・色相変更
・コントラスト
・明るさ
・鮮やかさ
・反転
・濃度変更
V0.0.9m
フィルターのインタフェースを変更
画像を表示するウィンドウを最大化状態でメインウィンドウのリサイズに対応
画像情報に画像サイズをinchとcmを追加
フィルターを一個追加
V0.0.9l
リサイズ時のバグを修正
英語版ヘルプを追加
V0.0.9k
テキストツールでウィンドウサイズを変更できるように変更
テキストツールで複数行入力できるように変更
テキストツールで画像の解像度に合わせて選択するように変更
V0.0.9j
テキストツールのバグを修正
グラデーションツールに描画モードを追加
ブラシウィンドウに筆圧の硬さを調整できるオプションを追加
選択範囲のロードで落ちる問題を修正
V0.0.9i
「画像のインポート」と「レイヤーのインポート」において、
高さもしくは幅に合わせてスケーリングするオプションを追加
濃度変更で両端も変更できるように変更
メインウィンドウのクローズ時に、変更のあった画像を保存するか
問い合わせるように変更
選択範囲でクロップのバグを修正
塗りつぶしツールに描画モードを追加
グラデーションツールに範囲外を塗りつぶすオプションを追加
V0.0.9h
画像情報に解像度を表示するよう追加
縦横等倍で縮小する場合のアルゴリズムを変更
オープン時にレイヤーを無条件に可視状態にする問題を修正
選択状態の場合にしかクリアできない問題を修正
その他、幾つかバグを修正
V0.0.9g
レイヤーウィンドウにカレントレイヤーを上下させるボタンを追加
画像情報を表示するダイアログを追加
各種ダイアログにシステムメニューを追加
以下の二点は大きなデータを扱う場合にメモリ不足となる問題への対処
カット・コピーアンドペーストにおいてクリップボードを使用しないように変更
一部のメモリ確保関数においてOBJ_ANYを使用するオプションを追加
V0.0.9f
分割バーの色を白に変更
フィルターにunsharpmaskを追加
フィルターにfrosted glassを追加
V0.0.9e
濃度を変更する機能を追加
V0.0.9d
ツールウィンドウを表示/非表示出来るように変更
拡大縮小時にエラーが発生する問題を修正
V0.0.9c
ファイルダイアログのサイズを少し小さく変更
ファイルダイアログのサイズを変更できるように変更
幾つかのバグを修正
V0.0.9b
ブラシ、カラーパレット及びレイヤーウィンドウを変更
幾つかのバグを修正
V0.0.9a
幾つかのバグを修正
V0.0.9
ブラシ、カラーパレット及びレイヤーウィンドウを変更
幾つかのバグを修正
V0.0.8h
幾つかのバグ修正
TabDll.dllのインタフェース変更による修正
V0.0.8g
非公開バージョン
V0.0.8f
選択範囲をカットした後取り消しを行うと落ちるバグを修正
V0.0.8e
近似色選択ツールの変更(RGB以外にR,G,B,R+G,R+B,G+B,HSV,H,S,Vで選択できるように変更)
V0.0.8d
幾つかのバグフィックス
V0.0.8c
表示倍率変更時にウィンドウサイズを変更するように変更
サンプルのカラーパレットを追加
他の画像のレイヤーをインポートする機能を追加
V0.0.8b
他の画像をレイヤーとしてインポートする機能を追加
V0.0.8a
幾つかのバグフィックス
V0.0.8
最新のソースが失われたのでV0.0.6eのソースからリカバリー
幾つかのバグフィックス
V0.0.7c
幾つかのバグフィックス
V0.0.7b
ESCキーによるキャンセルを追加
V0.0.7a
画像の拡大/縮小でサイズを指定できるように追加
印刷時にポストフィルタを行えるようにオプションを追加
V0.0.7
楕円選択ツールを追加
矩形選択ツールのプロパティーに正方形を追加
V0.0.6g
ポストフィルタにニアレストネイバーとバイキューブを追加し選択できるように変更
画像処理をプラグインで追加出来るように変更
変形ツールの変更
V0.0.6f
幾つかのバグフィックス
V0.0.6e
変形ツールの追加
V0.0.6d
ヘルプの修正
V0.0.6c
カラーパレットを変更
英語のリソースを追加。setlocale(LC_MESSAGES,NULL)でja_JP以外の場合英語のリソースを使用。
V0.0.6b
クリア機能を追加
V0.0.6a
選択範囲の移動時に強制終了する問題を修正。
V0.0.6
画像ファイルを圧縮するように変更
V0.0.5d
こすりツールを追加
V0.0.5c
カラーパレットを追加
メニューから800%表示を選択しても800%にならないバグを修正。
V0.0.5a
WacomIV及びWacomVプロトコル用のドライバを作成したのでそれに対応
(ドライバはhttp://pws.prserv.net/masami/からダウンロードしてください)
レイヤーを表示するウィンドウでの幾つかのバグフィックス

v0.0.5
ファイルオープンと保存のダイアログボックスを変更。

v0.0.4
ルーラーを表示するように変更。
'+''-'キーで倍率を変更できるように変更。
リソースをDLLとして分離。
プラグインのインタフェースを変更。
JPEGファイルの保存ができるようにした。
拡大表示時のペイント処理を高速化。
グラデーションを追加
TWAIN対応
色相変更のバグを修正
PM-3300Cの最高解像度で印刷時、落ちる事があるため印刷方式を変更。これにより印刷が早くなった。

v0.0.3a 2000/08/31
メッセージが表示されない場合がある問題を修正。
テクスチャ選択でハングアップする場合がある問題を修正。

v0.0.3 2000/08/30
印刷機能を追加。
ファイルメニューにガンマ補正を追加。
複数起動できないように変更。この変更に伴い既に起動時二つ目を起動
しようとした場合、ひとつめのウィンドウを最前面に持ってくる。また
ファイル名を指定して二つ目を起動した場合ひとつめのウィンドウで指
定されたファイルをオープンするようにした。
